using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;
using System.Drawing;
using System.IO;

namespace INT89DB_26_ImageDll
{
    public class Class1
    {
        public enum ButtonImages
        {
            #region English
            engBypassCountUp,
            engBypassCountDown,
            engBackDown,
            engBackUp,
            engBackupDown,
            engBackupUp,
            engBigEnterDown,
            engBigEnterUp,
            engCancelDown,
            engCancelUp,
            engCopyDown,
            engCopyUp,
            engEnterDown,
            engEnterUp,
            engFormCalibrationCancelDisable,
            engFormCalibrationCancelDown,
            engFormCalibrationCancelUp,
            engFormCalibrationStartDisable,
            engFormCalibrationStartDown,
            engFormCalibrationStartUp,
            engFormCalibrationWeightDisable,
            engFormCalibrationWeightDown,
            engFormCalibrationWeightUp,
            engFormMainLoginCancelDisable,
            engFormMainLoginCancelDown,
            engFormMainLoginCancelUp,
            engFormMainLoginDisable,
            engFormMainLoginDown,
            engFormMainLoginUp,
            engFormMainOverDisable,
            engFormMainOverDown,
            engFormMainOverUp,
            engFormMainPassDisable,
            engFormMainPassDown,
            engFormMainPassUp,
            engFormMainTareDisable,
            engFormMainTareDown,
            engFormMainTareUp,
            engFormMainUnderDisable,
            engFormMainUnderDown,
            engFormMainUnderUp,            
            engFormMenuCalibrationDisable,
            engFormMenuCalibrationDown,
            engFormMenuCalibrationUp,
            engFormMenuCommunicationDisable,
            engFormMenuCommunicationDown,
            engFormMenuCommunicationUp,
            engFormMenuConfigurationDisable,
            engFormMenuConfigurationDown,
            engFormMenuConfigurationUp,
            engFormMenuDataBackupDisable,
            engFormMenuDataBackupDown,
            engFormMenuDataBackupUp,
            engFormMenuDataViewerDisable,
            engFormMenuDataViewerDown,
            engFormMenuDataViewerUp,
            engFormMenuEquipmentDisable,
            engFormMenuEquipmentDown,
            engFormMenuEquipmentUp,
            engFormMenuInformationDisable,
            engFormMenuInformationDown,
            engFormMenuInformationUp,
            engFormMenuInitializationDisable,
            engFormMenuInitializationDown,
            engFormMenuInitializationUp,
            engFormMenuIOTestDisable,
            engFormMenuIOTestDown,
            engFormMenuIOTestUp,
            engFormMenuMotorDisable,
            engFormMenuMotorDown,
            engFormMenuMotorUp,
            engFormMenuOptionDisable,
            engFormMenuOptionDown,
            engFormMenuOptionUp,
            engFormMenuStatisticsDisable,
            engFormMenuStatisticsDown,
            engFormMenuStatisticsUp,
            engFormMenuSystemDisable,
            engFormMenuSystemDown,
            engFormMenuSystemUp,
            engFormMenuTestDisable,
            engFormMenuTestDown,
            engFormMenuTestUp,
            engFormMenuTimeDisable,
            engFormMenuTimeDown,
            engFormMenuTimeUp,
            engFormMenuUpdateDisable,
            engFormMenuUpdateDown,
            engFormMenuUpdateUp,
            engFormMenuUserDisable,
            engFormMenuUserDown,
            engFormMenuUserUp,
            engFormMotorSetting,
            engFormSystemSettingNoDown,
            engFormSystemSettingNoUp,
            engFormSystemSettingOverDown,
            engFormSystemSettingOverUp,
            engFormSystemSettingPassDown,
            engFormSystemSettingPassUp,
            engFormSystemSettingTareDown,
            engFormSystemSettingTareUp,
            engFormSystemSettingUnderDown,
            engFormSystemSettingUnderUp,
            engMainDisplayClearDisable,
            engMainDisplayClearDown,
            engMainDisplayClearUp,
            engMainDisplayMenuDisable,
            engMainDisplayMenuDown,
            engMainDisplayMenuUp,
            engMainDisplayMenuBigDisable,
            engMainDisplayMenuBigDown,
            engMainDisplayMenuBigUp,
            engMainDisplaySubMenuDisable,
            engMainDisplaySubMenuDown,
            engMainDisplaySubMenuUp,
            engPasteAllDown,
            engPasteAllUp,
            engPasteDown,
            engPasteUp,
            engSaveDown,
            engSaveUp,
            #endregion

            #region Chinese
            chnBackDown,
            chnBackgroundUserLogin,
            chnBackUp,
            chnBackupDown,
            chnBackupUp,
            chnBigEnterDown,
            chnBigEnterUp,
            chnBypassCountDown,
            chnBypassCountUp,
            chnBypassOccasionDown,
            chnBypassOccasionUp,
            chnCancelDown,
            chnCancelUp,
            chnCopyDown,
            chnCopyUp,
            chnDisable,
            chnEnable,
            chnEnterDown,
            chnEnterUp,
            chnFormCalibrationCancelDisable,
            chnFormCalibrationCancelDown,
            chnFormCalibrationCancelUp,
            chnFormCalibrationStartDisable,
            chnFormCalibrationStartDown,
            chnFormCalibrationStartUp,
            chnFormCalibrationWeightDisable,
            chnFormCalibrationWeightDown,
            chnFormCalibrationWeightUp,
            chnFormMainOverDisable,
            chnFormMainOverDown,
            chnFormMainOverUp,
            chnFormMainPassDisable,
            chnFormMainPassDown,
            chnFormMainPassUp,
            chnFormMainTareDisable,
            chnFormMainTareDown,
            chnFormMainTareUp,
            chnFormMainUnderDisable,
            chnFormMainUnderDown,
            chnFormMainUnderUp,
            chnFormMenuCalibrationDisable,
            chnFormMenuCalibrationDown,
            chnFormMenuCalibrationUp,
            chnFormMenuCommunicationDisable,
            chnFormMenuCommunicationDown,
            chnFormMenuCommunicationUp,
            chnFormMenuConfigurationDisable,
            chnFormMenuConfigurationDown,
            chnFormMenuConfigurationUp,
            chnFormMenuDataBackupDisable,
            chnFormMenuDataBackupDown,
            chnFormMenuDataBackupUp,
            chnFormMenuDataViewerDisable,
            chnFormMenuDataViewerDown,
            chnFormMenuDataViewerUp,
            chnFormMenuEquipmentDisable,
            chnFormMenuEquipmentDown,
            chnFormMenuEquipmentUp,
            chnFormMenuInformationDisable,
            chnFormMenuInformationDown,
            chnFormMenuInformationUp,
            chnFormMenuInitializationDisable,
            chnFormMenuInitializationDown,
            chnFormMenuInitializationUp,
            chnFormMenuIOTestDisable,
            chnFormMenuIOTestDown,
            chnFormMenuIOTestUp,
            chnFormMenuMotorDisable,
            chnFormMenuMotorDown,
            chnFormMenuMotorUp,
            chnFormMenuOptionDisable,
            chnFormMenuOptionDown,
            chnFormMenuOptionUp,
            chnFormMenuStatisticsDisable,
            chnFormMenuStatisticsDown,
            chnFormMenuStatisticsUp,
            chnFormMenuSystemDisable,
            chnFormMenuSystemDown,
            chnFormMenuSystemUp,
            chnFormMenuTestDisable,
            chnFormMenuTestDown,
            chnFormMenuTestUp,
            chnFormMenuTimeDisable,
            chnFormMenuTimeDown,
            chnFormMenuTimeUp,
            chnFormMenuUpdateDisable,
            chnFormMenuUpdateDown,
            chnFormMenuUpdateUp,
            chnFormMenuUserDisable,
            chnFormMenuUserDown,
            chnFormMenuUserUp,
            chnFormMotorSetting,
            chnFormSystemSettingNoDown,
            chnFormSystemSettingNoUp,
            chnFormSystemSettingOverDown,
            chnFormSystemSettingOverUp,
            chnFormSystemSettingPassDown,
            chnFormSystemSettingPassUp,
            chnFormSystemSettingTareDown,
            chnFormSystemSettingTareUp,
            chnFormSystemSettingUnderDown,
            chnFormSystemSettingUnderUp,
            chnMainDisplayClearDisable,
            chnMainDisplayClearDown,
            chnMainDisplayClearUp,
            chnMainDisplayLoginDisable,
            chnMainDisplayLoginUp,
            chnMainDisplayLogOutUp,
            chnMainDisplayMenuBigDisable,
            chnMainDisplayMenuBigDown,
            chnMainDisplayMenuBigUp,
            chnMainDisplayMenuDisable,
            chnMainDisplayMenuDown,
            chnMainDisplayMenuUp,
            chnMainDisplaySubMenuDisable,
            chnMainDisplaySubMenuDown,
            chnMainDisplaySubMenuUp,
            chnMainLoginDisable,
            chnMainLoginDown,
            chnMainLoginUp,
            chnPasteAllDown,
            chnPasteAllUp,
            chnPasteDown,
            chnPasteUp,
            chnSaveDown,
            chnSaveUp,
            chnMainCancelDisable,
            chnMainCancelDown,
            chnMainCancelUp,
            #endregion

            #region Korean
            korMainDisplayMenuBigDisable,
            korMainDisplayMenuBigDown,
            korMainDisplayMenuBigUp,
            korMainDisplayMenuDisable,
            korMainDisplayMenuDown,
            korMainDisplayMenuUp,
            #endregion

            #region 이미지
            Line2ImpellerDisable,
            Line2ImpellerDown,
            Line2ImpellerUp,
            Line2ZeroDown,
            Line2ZeroUp,
            Line3ImpellerDisable,
            Line3ImpellerDown,
            Line3ImpellerUp,
            Line3ZeroDown,
            Line3ZeroUp,
            Line4ImpellerDisable,
            Line4ImpellerDown,
            Line4ImpellerUp,
            Line4ZeroDown,
            Line4ZeroUp,
            Line5ImpellerDisable,
            Line5ImpellerDown,
            Line5ImpellerUp,
            Line5ZeroDown,
            Line5ZeroUp,
            Line6ImpellerDisable,
            Line6ImpellerDown,
            Line6ImpellerUp,
            Line6ZeroDown,
            Line6ZeroUp,
            #endregion
        }

        public Bitmap GetImage(ButtonImages image)
        {
            Bitmap bt;

            switch (image)
            {
                #region 영문
                case ButtonImages.engBypassCountDown:
                    bt = new Bitmap(Resource1.engBypassCountDown);
                    break;
                case ButtonImages.engBypassCountUp:
                    bt = new Bitmap(Resource1.engBypassCountUp);
                    break;
                case ButtonImages.engBackDown:
                    bt = new Bitmap(Resource1.engBackDown);
                    break;
                case ButtonImages.engBackUp:
                    bt = new Bitmap(Resource1.engBackUp);
                    break;
                case ButtonImages.engBackupDown:
                    bt = new Bitmap(Resource1.engBackupDown);
                    break;
                case ButtonImages.engBackupUp:
                    bt = new Bitmap(Resource1.engBackupUp);
                    break;
                case ButtonImages.engBigEnterDown:
                    bt = new Bitmap(Resource1.engBigEnterDown);
                    break;
                case ButtonImages.engBigEnterUp:
                    bt = new Bitmap(Resource1.engBigEnterUp);
                    break;
                case ButtonImages.engCancelDown:
                    bt = new Bitmap(Resource1.engCancelDown);
                    break;
                case ButtonImages.engCancelUp:
                    bt = new Bitmap(Resource1.engCancelUp);
                    break;
                case ButtonImages.engCopyDown:
                    bt = new Bitmap(Resource1.engCopyDown);
                    break;
                case ButtonImages.engCopyUp:
                    bt = new Bitmap(Resource1.engCopyUp);
                    break;
                case ButtonImages.engEnterDown:
                    bt = new Bitmap(Resource1.engEnterDown);
                    break;
                case ButtonImages.engEnterUp:
                    bt = new Bitmap(Resource1.engEnterUp);
                    break;
                case ButtonImages.engFormCalibrationCancelDisable:
                    bt = new Bitmap(Resource1.engFormCalibrationCancelDisable);
                    break;
                case ButtonImages.engFormCalibrationCancelDown:
                    bt = new Bitmap(Resource1.engFormCalibrationCancelDown);
                    break;
                case ButtonImages.engFormCalibrationCancelUp:
                    bt = new Bitmap(Resource1.engFormCalibrationCancelUp);
                    break;
                case ButtonImages.engFormCalibrationStartDisable:
                    bt = new Bitmap(Resource1.engFormCalibrationStartDisable);
                    break;
                case ButtonImages.engFormCalibrationStartDown:
                    bt = new Bitmap(Resource1.engFormCalibrationStartDown);
                    break;
                case ButtonImages.engFormCalibrationStartUp:
                    bt = new Bitmap(Resource1.engFormCalibrationStartUp);
                    break;
                case ButtonImages.engFormCalibrationWeightDisable:
                    bt = new Bitmap(Resource1.engFormCalibrationWeightDisable);
                    break;
                case ButtonImages.engFormCalibrationWeightDown:
                    bt = new Bitmap(Resource1.engFormCalibrationWeightDown);
                    break;
                case ButtonImages.engFormCalibrationWeightUp:
                    bt = new Bitmap(Resource1.engFormCalibrationWeightUp);
                    break;
                case ButtonImages.engFormMainLoginCancelDisable:
                    bt = new Bitmap(Resource1.engFormMainLoginCancelDisable);
                    break;
                case ButtonImages.engFormMainLoginCancelDown:
                    bt = new Bitmap(Resource1.engFormMainLoginCancelDown);
                    break;
                case ButtonImages.engFormMainLoginCancelUp:
                    bt = new Bitmap(Resource1.engFormMainLoginCancelUp);
                    break;
                case ButtonImages.engFormMainLoginDisable:
                    bt = new Bitmap(Resource1.engFormMainLoginDisable);
                    break;
                case ButtonImages.engFormMainLoginDown:
                    bt = new Bitmap(Resource1.engFormMainLoginDown);
                    break;
                case ButtonImages.engFormMainLoginUp:
                    bt = new Bitmap(Resource1.engFormMainLoginUp);
                    break;
                case ButtonImages.engFormMainOverDisable:
                    bt = new Bitmap(Resource1.engFormMainOverDisable);
                    break;
                case ButtonImages.engFormMainOverDown:
                    bt = new Bitmap(Resource1.engFormMainOverDown);
                    break;
                case ButtonImages.engFormMainOverUp:
                    bt = new Bitmap(Resource1.engFormMainOverUp);
                    break;
                case ButtonImages.engFormMainPassDisable:
                    bt = new Bitmap(Resource1.engFormMainPassDisable);
                    break;
                case ButtonImages.engFormMainPassDown:
                    bt = new Bitmap(Resource1.engFormMainPassDown);
                    break;
                case ButtonImages.engFormMainPassUp:
                    bt = new Bitmap(Resource1.engFormMainPassUp);
                    break;
                case ButtonImages.engFormMainTareDisable:
                    bt = new Bitmap(Resource1.engFormMainTareDisable);
                    break;
                case ButtonImages.engFormMainTareDown:
                    bt = new Bitmap(Resource1.engFormMainTareDown);
                    break;
                case ButtonImages.engFormMainTareUp:
                    bt = new Bitmap(Resource1.engFormMainTareUp);
                    break;
                case ButtonImages.engFormMainUnderDisable:
                    bt = new Bitmap(Resource1.engFormMainUnderDisable);
                    break;
                case ButtonImages.engFormMainUnderDown:
                    bt = new Bitmap(Resource1.engFormMainUnderDown);
                    break;
                case ButtonImages.engFormMainUnderUp:
                    bt = new Bitmap(Resource1.engFormMainUnderUp);
                    break;
                case ButtonImages.engFormMenuCalibrationDisable:
                    bt = new Bitmap(Resource1.engFormMenuCalibrationDisable);
                    break;
                case ButtonImages.engFormMenuCalibrationDown:
                    bt = new Bitmap(Resource1.engFormMenuCalibrationDown);
                    break;
                case ButtonImages.engFormMenuCalibrationUp:
                    bt = new Bitmap(Resource1.engFormMenuCalibrationUp);
                    break;
                case ButtonImages.engFormMenuCommunicationDisable:
                    bt = new Bitmap(Resource1.engFormMenuCommunicationDisable);
                    break;
                case ButtonImages.engFormMenuCommunicationDown:
                    bt = new Bitmap(Resource1.engFormMenuCommunicationDown);
                    break;
                case ButtonImages.engFormMenuCommunicationUp:
                    bt = new Bitmap(Resource1.engFormMenuCommunicationUp);
                    break;
                case ButtonImages.engFormMenuConfigurationDisable:
                    bt = new Bitmap(Resource1.engFormMenuConfigurationDisable);
                    break;
                case ButtonImages.engFormMenuConfigurationDown:
                    bt = new Bitmap(Resource1.engFormMenuConfigurationDown);
                    break;
                case ButtonImages.engFormMenuConfigurationUp:
                    bt = new Bitmap(Resource1.engFormMenuConfigurationUp);
                    break;
                case ButtonImages.engFormMenuDataBackupDisable:
                    bt = new Bitmap(Resource1.engFormMenuDataBackupDisable);
                    break;
                case ButtonImages.engFormMenuDataBackupDown:
                    bt = new Bitmap(Resource1.engFormMenuDataBackupDown);
                    break;
                case ButtonImages.engFormMenuDataBackupUp:
                    bt = new Bitmap(Resource1.engFormMenuDataBackupUp);
                    break;
                case ButtonImages.engFormMenuDataViewerDisable:
                    bt = new Bitmap(Resource1.engFormMenuDataViewerDisable);
                    break;
                case ButtonImages.engFormMenuDataViewerDown:
                    bt = new Bitmap(Resource1.engFormMenuDataViewerDown);
                    break;
                case ButtonImages.engFormMenuDataViewerUp:
                    bt = new Bitmap(Resource1.engFormMenuDataViewerUp);
                    break;
                case ButtonImages.engFormMenuEquipmentDisable:
                    bt = new Bitmap(Resource1.engFormMenuEquipmentDisable);
                    break;
                case ButtonImages.engFormMenuEquipmentDown:
                    bt = new Bitmap(Resource1.engFormMenuEquipmentDown);
                    break;
                case ButtonImages.engFormMenuEquipmentUp:
                    bt = new Bitmap(Resource1.engFormMenuEquipmentUp);
                    break;
                case ButtonImages.engFormMenuInformationDisable:
                    bt = new Bitmap(Resource1.engFormMenuInformationDisable);
                    break;
                case ButtonImages.engFormMenuInformationDown:
                    bt = new Bitmap(Resource1.engFormMenuInformationDown);
                    break;
                case ButtonImages.engFormMenuInformationUp:
                    bt = new Bitmap(Resource1.engFormMenuInformationUp);
                    break;
                case ButtonImages.engFormMenuInitializationDisable:
                    bt = new Bitmap(Resource1.engFormMenuInitializationDisable);
                    break;
                case ButtonImages.engFormMenuInitializationDown:
                    bt = new Bitmap(Resource1.engFormMenuInitializationDown);
                    break;
                case ButtonImages.engFormMenuInitializationUp:
                    bt = new Bitmap(Resource1.engFormMenuInitializationUp);
                    break;
                case ButtonImages.engFormMenuIOTestDisable:
                    bt = new Bitmap(Resource1.engFormMenuIOTestDisable);
                    break;
                case ButtonImages.engFormMenuIOTestDown:
                    bt = new Bitmap(Resource1.engFormMenuIOTestDown);
                    break;
                case ButtonImages.engFormMenuIOTestUp:
                    bt = new Bitmap(Resource1.engFormMenuIOTestUp);
                    break;
                case ButtonImages.engFormMenuMotorDisable:
                    bt = new Bitmap(Resource1.engFormMenuMotorDisable);
                    break;
                case ButtonImages.engFormMenuMotorDown:
                    bt = new Bitmap(Resource1.engFormMenuMotorDown);
                    break;
                case ButtonImages.engFormMenuMotorUp:
                    bt = new Bitmap(Resource1.engFormMenuMotorUp);
                    break;
                case ButtonImages.engFormMenuOptionDisable:
                    bt = new Bitmap(Resource1.engFormMenuOptionDisable);
                    break;
                case ButtonImages.engFormMenuOptionDown:
                    bt = new Bitmap(Resource1.engFormMenuOptionDown);
                    break;
                case ButtonImages.engFormMenuOptionUp:
                    bt = new Bitmap(Resource1.engFormMenuOptionUp);
                    break;
                case ButtonImages.engFormMenuStatisticsDisable:
                    bt = new Bitmap(Resource1.engFormMenuStatisticsDisable);
                    break;
                case ButtonImages.engFormMenuStatisticsDown:
                    bt = new Bitmap(Resource1.engFormMenuStatisticsDown);
                    break;
                case ButtonImages.engFormMenuStatisticsUp:
                    bt = new Bitmap(Resource1.engFormMenuStatisticsUp);
                    break;
                case ButtonImages.engFormMenuSystemDisable:
                    bt = new Bitmap(Resource1.engFormMenuSystemDisable);
                    break;
                case ButtonImages.engFormMenuSystemDown:
                    bt = new Bitmap(Resource1.engFormMenuSystemDown);
                    break;
                case ButtonImages.engFormMenuSystemUp:
                    bt = new Bitmap(Resource1.engFormMenuSystemUp);
                    break;
                case ButtonImages.engFormMenuTestDisable:
                    bt = new Bitmap(Resource1.engFormMenuTestDisable);
                    break;
                case ButtonImages.engFormMenuTestDown:
                    bt = new Bitmap(Resource1.engFormMenuTestDown);
                    break;
                case ButtonImages.engFormMenuTestUp:
                    bt = new Bitmap(Resource1.engFormMenuTestUp);
                    break;
                case ButtonImages.engFormMenuTimeDisable:
                    bt = new Bitmap(Resource1.engFormMenuTimeDisable);
                    break;
                case ButtonImages.engFormMenuTimeDown:
                    bt = new Bitmap(Resource1.engFormMenuTimeDown);
                    break;
                case ButtonImages.engFormMenuTimeUp:
                    bt = new Bitmap(Resource1.engFormMenuTimeUp);
                    break;
                case ButtonImages.engFormMenuUpdateDisable:
                    bt = new Bitmap(Resource1.engFormMenuUpdateDisable);
                    break;
                case ButtonImages.engFormMenuUpdateDown:
                    bt = new Bitmap(Resource1.engFormMenuUpdateDown);
                    break;
                case ButtonImages.engFormMenuUpdateUp:
                    bt = new Bitmap(Resource1.engFormMenuUpdateUp);
                    break;
                case ButtonImages.engFormMenuUserDisable:
                    bt = new Bitmap(Resource1.engFormMenuUserDisable);
                    break;
                case ButtonImages.engFormMenuUserDown:
                    bt = new Bitmap(Resource1.engFormMenuUserDown);
                    break;
                case ButtonImages.engFormMenuUserUp:
                    bt = new Bitmap(Resource1.engFormMenuUserUp);
                    break;
                case ButtonImages.engFormSystemSettingNoDown:
                    bt = new Bitmap(Resource1.engFormSystemSettingNoDown);
                    break;
                case ButtonImages.engFormSystemSettingNoUp:
                    bt = new Bitmap(Resource1.engFormSystemSettingNoUp);
                    break;
                case ButtonImages.engFormSystemSettingOverDown:
                    bt = new Bitmap(Resource1.engFormSystemSettingOverDown);
                    break;
                case ButtonImages.engFormSystemSettingOverUp:
                    bt = new Bitmap(Resource1.engFormSystemSettingOverUp);
                    break;
                case ButtonImages.engFormSystemSettingPassDown:
                    bt = new Bitmap(Resource1.engFormSystemSettingPassDown);
                    break;
                case ButtonImages.engFormSystemSettingPassUp:
                    bt = new Bitmap(Resource1.engFormSystemSettingPassUp);
                    break;
                case ButtonImages.engFormSystemSettingTareDown:
                    bt = new Bitmap(Resource1.engFormSystemSettingTareDown);
                    break;
                case ButtonImages.engFormSystemSettingTareUp:
                    bt = new Bitmap(Resource1.engFormSystemSettingTareUp);
                    break;
                case ButtonImages.engFormSystemSettingUnderDown:
                    bt = new Bitmap(Resource1.engFormSystemSettingUnderDown);
                    break;
                case ButtonImages.engFormSystemSettingUnderUp:
                    bt = new Bitmap(Resource1.engFormSystemSettingUnderUp);
                    break;
                case ButtonImages.engMainDisplayClearDisable:
                    bt = new Bitmap(Resource1.engMainDisplayClearDisable);
                    break;
                case ButtonImages.engMainDisplayClearDown:
                    bt = new Bitmap(Resource1.engMainDisplayClearDown);
                    break;
                case ButtonImages.engMainDisplayClearUp:
                    bt = new Bitmap(Resource1.engMainDisplayClearUp);
                    break;
                case ButtonImages.engMainDisplayMenuDisable:
                    bt = new Bitmap(Resource1.engMainDisplayMenuDisable);
                    break;
                case ButtonImages.engMainDisplayMenuDown:
                    bt = new Bitmap(Resource1.engMainDisplayMenuDown);
                    break;
                case ButtonImages.engMainDisplayMenuUp:
                    bt = new Bitmap(Resource1.engMainDisplayMenuUp);
                    break;
                case ButtonImages.engMainDisplayMenuBigDisable:
                    bt = new Bitmap(Resource1.engMainDisplayMenuBigDisable);
                    break;
                case ButtonImages.engMainDisplayMenuBigDown:
                    bt = new Bitmap(Resource1.engMainDisplayMenuBigDown);
                    break;
                case ButtonImages.engMainDisplayMenuBigUp:
                    bt = new Bitmap(Resource1.engMainDisplayMenuBigUp);
                    break;
                case ButtonImages.engMainDisplaySubMenuDisable:
                    bt = new Bitmap(Resource1.engMainDisplaySubMenuDisable);
                    break;
                case ButtonImages.engMainDisplaySubMenuDown:
                    bt = new Bitmap(Resource1.engMainDisplaySubMenuDown);
                    break;
                case ButtonImages.engMainDisplaySubMenuUp:
                    bt = new Bitmap(Resource1.engMainDisplaySubMenuUp);
                    break;
                case ButtonImages.engPasteAllDown:
                    bt = new Bitmap(Resource1.engPasteAllDown);
                    break;
                case ButtonImages.engPasteAllUp:
                    bt = new Bitmap(Resource1.engPasteAllUp);
                    break;
                case ButtonImages.engPasteDown:
                    bt = new Bitmap(Resource1.engPasteDown);
                    break;
                case ButtonImages.engPasteUp:
                    bt = new Bitmap(Resource1.engPasteUp);
                    break;
                case ButtonImages.engSaveDown:
                    bt = new Bitmap(Resource1.engSaveDown);
                    break;
                case ButtonImages.engSaveUp:
                    bt = new Bitmap(Resource1.engSaveUp);
                    break; 
                #endregion
                #region 중문
                case ButtonImages.chnBackDown:
                    bt = new Bitmap(Resource1.chnBackDown);
                    break;
                case ButtonImages.chnBackgroundUserLogin:
                    bt = new Bitmap(Resource1.chnBackgroundUserLogin);
                    break;
                case ButtonImages.chnBackUp:
                    bt = new Bitmap(Resource1.chnBackUp);
                    break;
                case ButtonImages.chnBackupDown:
                    bt = new Bitmap(Resource1.chnBackupDown);
                    break;
                case ButtonImages.chnBackupUp:
                    bt = new Bitmap(Resource1.chnBackupUp);
                    break;
                case ButtonImages.chnBigEnterDown:
                    bt = new Bitmap(Resource1.chnBigEnterDown);
                    break;
                case ButtonImages.chnBigEnterUp:
                    bt = new Bitmap(Resource1.chnBigEnterUp);
                    break;
                case ButtonImages.chnBypassCountDown:
                    bt = new Bitmap(Resource1.chnBypassCountDown);
                    break;
                case ButtonImages.chnBypassCountUp:
                    bt = new Bitmap(Resource1.chnBypassCountUp);
                    break;
                case ButtonImages.chnBypassOccasionDown:
                    bt = new Bitmap(Resource1.chnBypassOccasionDown);
                    break;
                case ButtonImages.chnBypassOccasionUp:
                    bt = new Bitmap(Resource1.chnBypassOccasionUp);
                    break;
                case ButtonImages.chnCancelDown:
                    bt = new Bitmap(Resource1.chnCancelDown);
                    break;
                case ButtonImages.chnCancelUp:
                    bt = new Bitmap(Resource1.chnCancelUp);
                    break;
                case ButtonImages.chnCopyDown:
                    bt = new Bitmap(Resource1.chnCopyDown);
                    break;
                case ButtonImages.chnCopyUp:
                    bt = new Bitmap(Resource1.chnCopyUp);
                    break;
                case ButtonImages.chnDisable:
                    bt = new Bitmap(Resource1.chnDisable);
                    break;
                case ButtonImages.chnEnable:
                    bt = new Bitmap(Resource1.chnEnable);
                    break;
                case ButtonImages.chnEnterDown:
                    bt = new Bitmap(Resource1.chnEnterDown);
                    break;
                case ButtonImages.chnEnterUp:
                    bt = new Bitmap(Resource1.chnEnterUp);
                    break;
                case ButtonImages.chnFormCalibrationCancelDisable:
                    bt = new Bitmap(Resource1.chnFormCalibrationCancelDisable);
                    break;
                case ButtonImages.chnFormCalibrationCancelDown:
                    bt = new Bitmap(Resource1.chnFormCalibrationCancelDown);
                    break;
                case ButtonImages.chnFormCalibrationCancelUp:
                    bt = new Bitmap(Resource1.chnFormCalibrationCancelUp);
                    break;
                case ButtonImages.chnFormCalibrationStartDisable:
                    bt = new Bitmap(Resource1.chnFormCalibrationStartDisable);
                    break;
                case ButtonImages.chnFormCalibrationStartDown:
                    bt = new Bitmap(Resource1.chnFormCalibrationStartDown);
                    break;
                case ButtonImages.chnFormCalibrationStartUp:
                    bt = new Bitmap(Resource1.chnFormCalibrationStartUp);
                    break;
                case ButtonImages.chnFormCalibrationWeightDisable:
                    bt = new Bitmap(Resource1.chnFormCalibrationWeightDisable);
                    break;
                case ButtonImages.chnFormCalibrationWeightDown:
                    bt = new Bitmap(Resource1.chnFormCalibrationWeightDown);
                    break;
                case ButtonImages.chnFormCalibrationWeightUp:
                    bt = new Bitmap(Resource1.chnFormCalibrationWeightUp);
                    break;
                case ButtonImages.chnFormMainOverDisable:
                    bt = new Bitmap(Resource1.chnFormMainOverDisable);
                    break;
                case ButtonImages.chnFormMainOverDown:
                    bt = new Bitmap(Resource1.chnFormMainOverDown);
                    break;
                case ButtonImages.chnFormMainOverUp:
                    bt = new Bitmap(Resource1.chnFormMainOverUp);
                    break;
                case ButtonImages.chnFormMainPassDisable:
                    bt = new Bitmap(Resource1.chnFormMainPassDisable);
                    break;
                case ButtonImages.chnFormMainPassDown:
                    bt = new Bitmap(Resource1.chnFormMainPassDown);
                    break;
                case ButtonImages.chnFormMainPassUp:
                    bt = new Bitmap(Resource1.chnFormMainPassUp);
                    break;
                case ButtonImages.chnFormMainTareDisable:
                    bt = new Bitmap(Resource1.chnFormMainTareDisable);
                    break;
                case ButtonImages.chnFormMainTareDown:
                    bt = new Bitmap(Resource1.chnFormMainTareDown);
                    break;
                case ButtonImages.chnFormMainTareUp:
                    bt = new Bitmap(Resource1.chnFormMainTareUp);
                    break;
                case ButtonImages.chnFormMainUnderDisable:
                    bt = new Bitmap(Resource1.chnFormMainUnderDisable);
                    break;
                case ButtonImages.chnFormMainUnderDown:
                    bt = new Bitmap(Resource1.chnFormMainUnderDown);
                    break;
                case ButtonImages.chnFormMainUnderUp:
                    bt = new Bitmap(Resource1.chnFormMainUnderUp);
                    break;
                case ButtonImages.chnFormMenuCalibrationDisable:
                    bt = new Bitmap(Resource1.chnFormMenuCalibrationDisable);
                    break;
                case ButtonImages.chnFormMenuCalibrationDown:
                    bt = new Bitmap(Resource1.chnFormMenuCalibrationDown);
                    break;
                case ButtonImages.chnFormMenuCalibrationUp:
                    bt = new Bitmap(Resource1.chnFormMenuCalibrationUp);
                    break;
                case ButtonImages.chnFormMenuCommunicationDisable:
                    bt = new Bitmap(Resource1.chnFormMenuCommunicationDisable);
                    break;
                case ButtonImages.chnFormMenuCommunicationDown:
                    bt = new Bitmap(Resource1.chnFormMenuCommunicationDown);
                    break;
                case ButtonImages.chnFormMenuCommunicationUp:
                    bt = new Bitmap(Resource1.chnFormMenuCommunicationUp);
                    break;
                case ButtonImages.chnFormMenuConfigurationDisable:
                    bt = new Bitmap(Resource1.chnFormMenuConfigurationDisable);
                    break;
                case ButtonImages.chnFormMenuConfigurationDown:
                    bt = new Bitmap(Resource1.chnFormMenuConfigurationDown);
                    break;
                case ButtonImages.chnFormMenuConfigurationUp:
                    bt = new Bitmap(Resource1.chnFormMenuConfigurationUp);
                    break;
                case ButtonImages.chnFormMenuDataBackupDisable:
                    bt = new Bitmap(Resource1.chnFormMenuDataBackupDisable);
                    break;
                case ButtonImages.chnFormMenuDataBackupDown:
                    bt = new Bitmap(Resource1.chnFormMenuDataBackupDown);
                    break;
                case ButtonImages.chnFormMenuDataBackupUp:
                    bt = new Bitmap(Resource1.chnFormMenuDataBackupUp);
                    break;
                case ButtonImages.chnFormMenuDataViewerDisable:
                    bt = new Bitmap(Resource1.chnFormMenuDataViewerDisable);
                    break;
                case ButtonImages.chnFormMenuDataViewerDown:
                    bt = new Bitmap(Resource1.chnFormMenuDataViewerDown);
                    break;
                case ButtonImages.chnFormMenuDataViewerUp:
                    bt = new Bitmap(Resource1.chnFormMenuDataViewerUp);
                    break;
                case ButtonImages.chnFormMenuEquipmentDisable:
                    bt = new Bitmap(Resource1.chnFormMenuEquipmentDisable);
                    break;
                case ButtonImages.chnFormMenuEquipmentDown:
                    bt = new Bitmap(Resource1.chnFormMenuEquipmentDown);
                    break;
                case ButtonImages.chnFormMenuEquipmentUp:
                    bt = new Bitmap(Resource1.chnFormMenuEquipmentUp);
                    break;
                case ButtonImages.chnFormMenuInformationDisable:
                    bt = new Bitmap(Resource1.chnFormMenuInformationDisable);
                    break;
                case ButtonImages.chnFormMenuInformationDown:
                    bt = new Bitmap(Resource1.chnFormMenuInformationDown);
                    break;
                case ButtonImages.chnFormMenuInformationUp:
                    bt = new Bitmap(Resource1.chnFormMenuInformationUp);
                    break;
                case ButtonImages.chnFormMenuInitializationDisable:
                    bt = new Bitmap(Resource1.chnFormMenuInitializationDisable);
                    break;
                case ButtonImages.chnFormMenuInitializationDown:
                    bt = new Bitmap(Resource1.chnFormMenuInitializationDown);
                    break;
                case ButtonImages.chnFormMenuInitializationUp:
                    bt = new Bitmap(Resource1.chnFormMenuInitializationUp);
                    break;
                case ButtonImages.chnFormMenuIOTestDisable:
                    bt = new Bitmap(Resource1.chnFormMenuIOTestDisable);
                    break;
                case ButtonImages.chnFormMenuIOTestDown:
                    bt = new Bitmap(Resource1.chnFormMenuIOTestDown);
                    break;
                case ButtonImages.chnFormMenuIOTestUp:
                    bt = new Bitmap(Resource1.chnFormMenuIOTestUp);
                    break;
                case ButtonImages.chnFormMenuMotorDisable:
                    bt = new Bitmap(Resource1.chnFormMenuMotorDisable);
                    break;
                case ButtonImages.chnFormMenuMotorDown:
                    bt = new Bitmap(Resource1.chnFormMenuMotorDown);
                    break;
                case ButtonImages.chnFormMenuMotorUp:
                    bt = new Bitmap(Resource1.chnFormMenuMotorUp);
                    break;
                case ButtonImages.chnFormMenuOptionDisable:
                    bt = new Bitmap(Resource1.chnFormMenuOptionDisable);
                    break;
                case ButtonImages.chnFormMenuOptionDown:
                    bt = new Bitmap(Resource1.chnFormMenuOptionDown);
                    break;
                case ButtonImages.chnFormMenuOptionUp:
                    bt = new Bitmap(Resource1.chnFormMenuOptionUp);
                    break;
                case ButtonImages.chnFormMenuStatisticsDisable:
                    bt = new Bitmap(Resource1.chnFormMenuStatisticsDisable);
                    break;
                case ButtonImages.chnFormMenuStatisticsDown:
                    bt = new Bitmap(Resource1.chnFormMenuStatisticsDown);
                    break;
                case ButtonImages.chnFormMenuStatisticsUp:
                    bt = new Bitmap(Resource1.chnFormMenuStatisticsUp);
                    break;
                case ButtonImages.chnFormMenuSystemDisable:
                    bt = new Bitmap(Resource1.chnFormMenuSystemDisable);
                    break;
                case ButtonImages.chnFormMenuSystemDown:
                    bt = new Bitmap(Resource1.chnFormMenuSystemDown);
                    break;
                case ButtonImages.chnFormMenuSystemUp:
                    bt = new Bitmap(Resource1.chnFormMenuSystemUp);
                    break;
                case ButtonImages.chnFormMenuTestDisable:
                    bt = new Bitmap(Resource1.chnFormMenuTestDisable);
                    break;
                case ButtonImages.chnFormMenuTestDown:
                    bt = new Bitmap(Resource1.chnFormMenuTestDown);
                    break;
                case ButtonImages.chnFormMenuTestUp:
                    bt = new Bitmap(Resource1.chnFormMenuTestUp);
                    break;
                case ButtonImages.chnFormMenuTimeDisable:
                    bt = new Bitmap(Resource1.chnFormMenuTimeDisable);
                    break;
                case ButtonImages.chnFormMenuTimeDown:
                    bt = new Bitmap(Resource1.chnFormMenuTimeDown);
                    break;
                case ButtonImages.chnFormMenuTimeUp:
                    bt = new Bitmap(Resource1.chnFormMenuTimeUp);
                    break;
                case ButtonImages.chnFormMenuUpdateDisable:
                    bt = new Bitmap(Resource1.chnFormMenuUpdateDisable);
                    break;
                case ButtonImages.chnFormMenuUpdateDown:
                    bt = new Bitmap(Resource1.chnFormMenuUpdateDown);
                    break;
                case ButtonImages.chnFormMenuUpdateUp:
                    bt = new Bitmap(Resource1.chnFormMenuUpdateUp);
                    break;
                case ButtonImages.chnFormMenuUserDisable:
                    bt = new Bitmap(Resource1.chnFormMenuUserDisable);
                    break;
                case ButtonImages.chnFormMenuUserDown:
                    bt = new Bitmap(Resource1.chnFormMenuUserDown);
                    break;
                case ButtonImages.chnFormMenuUserUp:
                    bt = new Bitmap(Resource1.chnFormMenuUserUp);
                    break;
                case ButtonImages.chnFormSystemSettingNoDown:
                    bt = new Bitmap(Resource1.chnFormSystemSettingNoDown);
                    break;
                case ButtonImages.chnFormSystemSettingNoUp:
                    bt = new Bitmap(Resource1.chnFormSystemSettingNoUp);
                    break;
                case ButtonImages.chnFormSystemSettingOverDown:
                    bt = new Bitmap(Resource1.chnFormSystemSettingOverDown);
                    break;
                case ButtonImages.chnFormSystemSettingOverUp:
                    bt = new Bitmap(Resource1.chnFormSystemSettingOverUp);
                    break;
                case ButtonImages.chnFormSystemSettingPassDown:
                    bt = new Bitmap(Resource1.chnFormSystemSettingPassDown);
                    break;
                case ButtonImages.chnFormSystemSettingPassUp:
                    bt = new Bitmap(Resource1.chnFormSystemSettingPassUp);
                    break;
                case ButtonImages.chnFormSystemSettingTareDown:
                    bt = new Bitmap(Resource1.chnFormSystemSettingTareDown);
                    break;
                case ButtonImages.chnFormSystemSettingTareUp:
                    bt = new Bitmap(Resource1.chnFormSystemSettingTareUp);
                    break;
                case ButtonImages.chnFormSystemSettingUnderDown:
                    bt = new Bitmap(Resource1.chnFormSystemSettingUnderDown);
                    break;
                case ButtonImages.chnFormSystemSettingUnderUp:
                    bt = new Bitmap(Resource1.chnFormSystemSettingUnderUp);
                    break;
                case ButtonImages.chnMainDisplayClearDisable:
                    bt = new Bitmap(Resource1.chnMainDisplayClearDisable);
                    break;
                case ButtonImages.chnMainDisplayClearDown:
                    bt = new Bitmap(Resource1.chnMainDisplayClearDown);
                    break;
                case ButtonImages.chnMainDisplayClearUp:
                    bt = new Bitmap(Resource1.chnMainDisplayClearUp);
                    break;
                case ButtonImages.chnMainDisplayLoginDisable:
                    bt = new Bitmap(Resource1.chnMainDisplayLoginDisable);
                    break;
                case ButtonImages.chnMainDisplayLoginUp:
                    bt = new Bitmap(Resource1.chnMainDisplayLoginUp);
                    break;
                case ButtonImages.chnMainDisplayLogOutUp:
                    bt = new Bitmap(Resource1.chnMainDisplayLogOutUp);
                    break;
                case ButtonImages.chnMainDisplayMenuBigDisable:
                    bt = new Bitmap(Resource1.chnMainDisplayMenuBigDisable);
                    break;
                case ButtonImages.chnMainDisplayMenuBigDown:
                    bt = new Bitmap(Resource1.chnMainDisplayMenuBigDown);
                    break;
                case ButtonImages.chnMainDisplayMenuBigUp:
                    bt = new Bitmap(Resource1.chnMainDisplayMenuBigUp);
                    break;
                case ButtonImages.chnMainDisplayMenuDisable:
                    bt = new Bitmap(Resource1.chnMainDisplayMenuDisable);
                    break;
                case ButtonImages.chnMainDisplayMenuDown:
                    bt = new Bitmap(Resource1.chnMainDisplayMenuDown);
                    break;
                case ButtonImages.chnMainDisplayMenuUp:
                    bt = new Bitmap(Resource1.chnMainDisplayMenuUp);
                    break;
                case ButtonImages.chnMainDisplaySubMenuDisable:
                    bt = new Bitmap(Resource1.chnMainDisplaySubMenuDisable);
                    break;
                case ButtonImages.chnMainDisplaySubMenuDown:
                    bt = new Bitmap(Resource1.chnMainDisplaySubMenuDown);
                    break;
                case ButtonImages.chnMainDisplaySubMenuUp:
                    bt = new Bitmap(Resource1.chnMainDisplaySubMenuUp);
                    break;
                case ButtonImages.chnMainLoginDisable:
                    bt = new Bitmap(Resource1.chnMainLoginDisable);
                    break;
                case ButtonImages.chnMainLoginDown:
                    bt = new Bitmap(Resource1.chnMainLoginDown);
                    break;
                case ButtonImages.chnMainLoginUp:
                    bt = new Bitmap(Resource1.chnMainLoginUp);
                    break;
                case ButtonImages.chnPasteAllDown:
                    bt = new Bitmap(Resource1.chnPasteAllDown);
                    break;
                case ButtonImages.chnPasteAllUp:
                    bt = new Bitmap(Resource1.chnPasteAllUp);
                    break;
                case ButtonImages.chnPasteDown:
                    bt = new Bitmap(Resource1.chnPasteDown);
                    break;
                case ButtonImages.chnPasteUp:
                    bt = new Bitmap(Resource1.chnPasteUp);
                    break;
                case ButtonImages.chnSaveDown:
                    bt = new Bitmap(Resource1.chnSaveDown);
                    break;
                case ButtonImages.chnSaveUp:
                    bt = new Bitmap(Resource1.chnSaveUp);
                    break;
                case ButtonImages.chnMainCancelDisable:
                    bt = new Bitmap(Resource1.chnMainCancelDisable);
                    break;
                case ButtonImages.chnMainCancelDown:
                    bt = new Bitmap(Resource1.chnMainCancelDown);
                    break;
                case ButtonImages.chnMainCancelUp:
                    bt = new Bitmap(Resource1.chnMainCancelUp);
                    break;
                #endregion
                #region 한글
                case ButtonImages.korMainDisplayMenuDisable:
                    bt = new Bitmap(Resource1.korMainDisplayMenuDisable);
                    break;
                case ButtonImages.korMainDisplayMenuDown:
                    bt = new Bitmap(Resource1.korMainDisplayMenuDown);
                    break;
                case ButtonImages.korMainDisplayMenuUp:
                    bt = new Bitmap(Resource1.korMainDisplayMenuUp);
                    break;
                case ButtonImages.korMainDisplayMenuBigDisable:
                    bt = new Bitmap(Resource1.korMainDisplayMenuBigDisable);
                    break;
                case ButtonImages.korMainDisplayMenuBigDown:
                    bt = new Bitmap(Resource1.korMainDisplayMenuBigDown);
                    break;
                case ButtonImages.korMainDisplayMenuBigUp:
                    bt = new Bitmap(Resource1.korMainDisplayMenuBigUp);
                    break;
                #endregion
                case ButtonImages.Line2ImpellerDown:
                    bt = new Bitmap(Resource1.Line2ImpellerDown);
                    break;
                case ButtonImages.Line2ImpellerUp:
                    bt = new Bitmap(Resource1.Line2ImpellerUp);
                    break;
                case ButtonImages.Line2ZeroDown:
                    bt = new Bitmap(Resource1.Line2ZeroDown);
                    break;
                case ButtonImages.Line2ZeroUp:
                    bt = new Bitmap(Resource1.Line2ZeroUp);
                    break;
                case ButtonImages.Line3ImpellerDown:
                    bt = new Bitmap(Resource1.Line3ImpellerDown);
                    break;
                case ButtonImages.Line3ImpellerUp:
                    bt = new Bitmap(Resource1.Line3ImpellerUp);
                    break;
                case ButtonImages.Line3ZeroDown:
                    bt = new Bitmap(Resource1.Line3ZeroDown);
                    break;
                case ButtonImages.Line3ZeroUp:
                    bt = new Bitmap(Resource1.Line3ZeroUp);
                    break;
                case ButtonImages.Line4ImpellerDown:
                    bt = new Bitmap(Resource1.Line4ImpellerDown);
                    break;
                case ButtonImages.Line4ImpellerUp:
                    bt = new Bitmap(Resource1.Line4ImpellerUp);
                    break;
                case ButtonImages.Line4ZeroDown:
                    bt = new Bitmap(Resource1.Line4ZeroDown);
                    break;
                case ButtonImages.Line4ZeroUp:
                    bt = new Bitmap(Resource1.Line4ZeroUp);
                    break;
                case ButtonImages.Line5ImpellerDown:
                    bt = new Bitmap(Resource1.Line5ImpellerDown);
                    break;
                case ButtonImages.Line5ImpellerUp:
                    bt = new Bitmap(Resource1.Line5ImpellerUp);
                    break;
                case ButtonImages.Line5ZeroDown:
                    bt = new Bitmap(Resource1.Line5ZeroDown);
                    break;
                case ButtonImages.Line5ZeroUp:
                    bt = new Bitmap(Resource1.Line5ZeroUp);
                    break;
                case ButtonImages.Line6ImpellerDown:
                    bt = new Bitmap(Resource1.Line6ImpellerDown);
                    break;
                case ButtonImages.Line6ImpellerUp:
                    bt = new Bitmap(Resource1.Line6ImpellerUp);
                    break;
                case ButtonImages.Line6ZeroDown:
                    bt = new Bitmap(Resource1.Line6ZeroDown);
                    break;
                case ButtonImages.Line6ZeroUp:
                    bt = new Bitmap(Resource1.Line6ZeroUp);
                    break;
                default :
                    bt = new Bitmap(Resource1.Line6ZeroUp);
                    break;
            }

            return bt;
        }
    }
}
